org.eclipse.microprofile.fault.tolerance.tck.metrics

## Class ClassLevelMetricBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.metrics.ClassLevelMetricBean

    @RequestScoped
     @Retry(maxRetries=5)
    public class ClassLevelMetricBean
    extends Object

This is similar to RetryMetricBean but has the `@Retry` annotation on the class

### Constructor Summary

Constructors
Constructor and Description
`ClassLevelMetricBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `failSeveralTimes(int timesToFail)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassLevelMetricBean

    public ClassLevelMetricBean()

### Method Detail

#### failSeveralTimes

    public void failSeveralTimes(int timesToFail)